pcl::device::numeric_limits< T > Struct Template Reference

`#include </build/pcl-OilVEB/pcl-1.8.1+dfsg1/gpu/kinfu/src/cuda/utils.hpp>`

## Public Types

typedef T | type

## Static Public Member Functions

__device__ static __forceinline__ type | min ()
__device__ static __forceinline__ type | max ()
__device__ static __forceinline__ type | epsilon ()
__device__ static __forceinline__ type | round_error ()
__device__ static __forceinline__ type | denorm_min ()
__device__ static __forceinline__ type | infinity ()
__device__ static __forceinline__ type | quiet_NaN ()
__device__ static __forceinline__ type | signaling_NaN ()

## Static Public Attributes

static const bool | is_signed

## Detailed Description

### template<class T>
struct pcl::device::numeric_limits< T >

Definition at line 53 of file utils.hpp.

## Member Typedef Documentation

## type

template<class T >

typedef T pcl::device::numeric_limits< T >::type

Definition at line 46 of file limits.hpp.

## Member Function Documentation

## denorm_min()

template<class T >

__device__ static __forceinline__ type pcl::device::numeric_limits< T >::denorm_min | ( |  | ) |

inline static

Definition at line 51 of file limits.hpp.

Referenced by pcl::device::numeric_limits< float >::epsilon(), pcl::device::numeric_limits< double >::epsilon(), pcl::device::numeric_limits< bool >::max(), pcl::device::numeric_limits< char >::max(), pcl::device::numeric_limits< signed char >::max(), pcl::device::numeric_limits< unsigned char >::max(), pcl::device::numeric_limits< short >::max(), pcl::device::numeric_limits< unsigned short >::max(), pcl::device::numeric_limits< int >::max(), pcl::device::numeric_limits< unsigned int >::max(), pcl::device::numeric_limits< long >::max(), and pcl::device::numeric_limits< unsigned long >::max().

## epsilon()

template<class T >

__device__ static __forceinline__ type pcl::device::numeric_limits< T >::epsilon | ( |  | ) |

inline static

Definition at line 49 of file limits.hpp.

Referenced by pcl::device::Eigen33::compute(), pcl::device::kinfuLS::Eigen33::compute(), pcl::device::numeric_limits< bool >::max(), pcl::device::numeric_limits< char >::max(), pcl::device::numeric_limits< signed char >::max(), pcl::device::numeric_limits< unsigned char >::max(), pcl::device::numeric_limits< short >::max(), pcl::device::numeric_limits< unsigned short >::max(), pcl::device::numeric_limits< int >::max(), pcl::device::numeric_limits< unsigned int >::max(), pcl::device::numeric_limits< long >::max(), and pcl::device::numeric_limits< unsigned long >::max().

## infinity()

template<class T >

__device__ static __forceinline__ type pcl::device::numeric_limits< T >::infinity | ( |  | ) |

inline static

Definition at line 52 of file limits.hpp.

Referenced by pcl::device::numeric_limits< double >::epsilon(), pcl::device::numeric_limits< bool >::max(), pcl::device::numeric_limits< char >::max(), pcl::device::numeric_limits< signed char >::max(), pcl::device::numeric_limits< unsigned char >::max(), pcl::device::numeric_limits< short >::max(), pcl::device::numeric_limits< unsigned short >::max(), pcl::device::numeric_limits< int >::max(), pcl::device::numeric_limits< unsigned int >::max(), pcl::device::numeric_limits< long >::max(), and pcl::device::numeric_limits< unsigned long >::max().

## max()

template<class T >

__device__ static __forceinline__ type pcl::device::numeric_limits< T >::max | ( |  | ) |

inline static

Definition at line 48 of file limits.hpp.

## min()

template<class T >

__device__ static __forceinline__ type pcl::device::numeric_limits< T >::min | ( |  | ) |

inline static

Definition at line 47 of file limits.hpp.

## quiet_NaN()

template<class T >

__device__ static __forceinline__ type pcl::device::numeric_limits< T >::quiet_NaN | ( |  | ) |

inline static

Definition at line 53 of file limits.hpp.

Referenced by pcl::device::numeric_limits< double >::epsilon(), pcl::device::numeric_limits< bool >::max(), pcl::device::numeric_limits< char >::max(), pcl::device::numeric_limits< signed char >::max(), pcl::device::numeric_limits< unsigned char >::max(), pcl::device::numeric_limits< short >::max(), pcl::device::numeric_limits< unsigned short >::max(), pcl::device::numeric_limits< int >::max(), pcl::device::numeric_limits< unsigned int >::max(), pcl::device::numeric_limits< long >::max(), and pcl::device::numeric_limits< unsigned long >::max().

## round_error()

template<class T >

__device__ static __forceinline__ type pcl::device::numeric_limits< T >::round_error | ( |  | ) |

inline static

Definition at line 50 of file limits.hpp.

Referenced by pcl::device::numeric_limits< float >::epsilon(), pcl::device::numeric_limits< double >::epsilon(), pcl::device::numeric_limits< bool >::max(), pcl::device::numeric_limits< char >::max(), pcl::device::numeric_limits< signed char >::max(), pcl::device::numeric_limits< unsigned char >::max(), pcl::device::numeric_limits< short >::max(), pcl::device::numeric_limits< unsigned short >::max(), pcl::device::numeric_limits< int >::max(), pcl::device::numeric_limits< unsigned int >::max(), pcl::device::numeric_limits< long >::max(), and pcl::device::numeric_limits< unsigned long >::max().

## signaling_NaN()

template<class T >

__device__ static __forceinline__ type pcl::device::numeric_limits< T >::signaling_NaN | ( |  | ) |

inline static

Definition at line 54 of file limits.hpp.

Referenced by pcl::device::numeric_limits< double >::epsilon(), pcl::device::numeric_limits< bool >::max(), pcl::device::numeric_limits< char >::max(), pcl::device::numeric_limits< signed char >::max(), pcl::device::numeric_limits< unsigned char >::max(), pcl::device::numeric_limits< short >::max(), pcl::device::numeric_limits< unsigned short >::max(), pcl::device::numeric_limits< int >::max(), pcl::device::numeric_limits< unsigned int >::max(), pcl::device::numeric_limits< long >::max(), pcl::device::numeric_limits< unsigned long >::max(), and pcl::device::numeric_limits< float >::quiet_NaN().

## Member Data Documentation

## is_signed

template<class T >

const bool pcl::device::numeric_limits< T >::is_signed

static

Definition at line 55 of file limits.hpp.

The documentation for this struct was generated from the following files:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/gpu/kinfu/src/cuda/utils.hpp
- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/gpu/utils/include/pcl/gpu/utils/device/limits.hpp